brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aledsage <...@git.apache.org>
Subject [GitHub] incubator-brooklyn pull request: Various dependency clean-ups
Date Tue, 22 Jul 2014 11:46:52 GMT
Github user aledsage commented on a diff in the pull request:

    https://github.com/apache/incubator-brooklyn/pull/85#discussion_r15222927
  
    --- Diff: camp/camp-server/pom.xml ---
    @@ -101,36 +103,79 @@
                     </exclusion>
                 </exclusions>               
             </dependency>
    -
             <dependency>
                 <groupId>com.sun.jersey.contribs</groupId>
                 <artifactId>jersey-multipart</artifactId>
    -            <version>${jersey.version}</version>
    +        </dependency>
    +        <dependency>
    +            <groupId>com.sun.jersey</groupId>
    +            <artifactId>jersey-core</artifactId>
             </dependency>
     
             <dependency>
                 <groupId>javax.validation</groupId>
                 <artifactId>validation-api</artifactId>
    -            <version>${validation-api.version}</version>
             </dependency>
     
             <dependency>
                 <groupId>org.eclipse.jetty</groupId>
                 <artifactId>jetty-webapp</artifactId>
    -            <version>${jetty.version}</version>
    +        </dependency>
    +        <dependency>
    +            <groupId>org.eclipse.jetty</groupId>
    +            <artifactId>jetty-server</artifactId>
    +        </dependency>
    +        <dependency>
    +            <groupId>org.eclipse.jetty</groupId>
    +            <artifactId>jetty-servlet</artifactId>
    +        </dependency>
    +        <dependency>
    +            <groupId>org.eclipse.jetty</groupId>
    +            <artifactId>jetty-util</artifactId>
    +        </dependency>
    +        <dependency>
    +            <groupId>org.eclipse.jetty.orbit</groupId>
    +            <artifactId>javax.servlet</artifactId>
             </dependency>
             
             <dependency>
                 <groupId>io.brooklyn</groupId>
                 <artifactId>brooklyn-utils-rest-swagger</artifactId>
    -            <version>${brooklyn.version}</version>
    +            <version>${project.version}</version>
    +        </dependency>
    +
    +        <dependency>
    +            <groupId>io.brooklyn</groupId>
    +            <artifactId>brooklyn-utils-common</artifactId>
    +            <version>${project.version}</version>
    +        </dependency>
    +        <dependency>
    +            <groupId>com.google.guava</groupId>
    +            <artifactId>guava</artifactId>
    +        </dependency>
    +        <dependency>
    +            <groupId>org.apache.commons</groupId>
    +            <artifactId>commons-lang3</artifactId>
    +        </dependency>
    +        <!-- ATTN: this moves the dependency version from 1.9.2 to 1.9.13 -->
    --- End diff --
    
    What does this mean? Were we previously pulling in a transitive dependency of a different
version? If so, do we need an `excludes`?


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message